Examples

POST /katello/api/flatpak_remotes
{
  "name": "test",
  "url": "https://test.com",
  "organization_id": 114267492,
  "flatpak_remote": {
    "name": "test",
    "url": "https://test.com",
    "organization_id": 114267492
  }
}
201
{
  "name": "test",
  "url": "https://test.com",
  "description": null,
  "username": null,
  "seeded": false,
  "registry_url": null,
  "id": 756898687,
  "organization_id": 114267492,
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "last_scan": null,
  "upstream_password_exists": false,
  "last_scan_words": null
}

Params

Param name Description
name
required

name

Validations:

  • String

url
required

Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/.

Validations:

  • String

organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

Description of the flatpak remote

Validations:

  • String

username
optional

Username for the flatpak remote

Validations:

  • String

token
optional

Token/password for the flatpak remote

Validations:

  • String